#ifndef _SITE_H_
#define _SITE_H_

#pragma ident "@(#)site.h	1.1 12/12/96 Voronoi"
// Dec 1996
// Copyright 1996 SFBellenot All rights reserved

#include "point.h"

class Site: public Point
{
public:
	Site ( Real X, Real Y ): Point ( X, Y )
	{
		id = idCounter++;
		refCount = 1;
	}
	Site(): Point()
	{
		refCount = 1;
	}
	int Id() { return id; }
	void Ref() { refCount++; }
	void Deref() {
	#if 0
	refCount--; if ( refCount == 0 ) delete this;
	#endif
	}

private:
	int id;
	int refCount;

	static int idCounter;
};

#endif
