#ifndef _SITELIST_H_
#define _SITELIST_H_

#pragma ident "@(#)sitelist.h	1.1 12/12/96 Voronoi"
// Dec 1996
// Copyright 1996 SFBellenot All rights reserved

#include "site.h"

class SiteList
{
public:
	SiteList( int Sorted );
	Site* NextSite();
	Real XMin() { return xmin; }
	Real XMax() { return xmax; }
	Real YMin() { return ymin; }
	Real YMax() { return ymax; }
	int NoSites() { return nSites; }
	void Reset () { pSite = 0; }
private:
	int fromFile;
	Site* S;
	int nSites;
	int pSite;
	Real xmin;
	Real xmax;
	Real ymin;
	Real ymax;
};

#endif

